<html>
<head>
<title>Ogre::CPreprocessor::Token Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CPreprocessor.html">CPreprocessor</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CPreprocessor::Token Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CPreprocessor::Token" -->
<p>A input token.  
 <a href="classOgre_1_1CPreprocessor_1_1Token.html#details">More...</a></p>

<p><a href="classOgre_1_1CPreprocessor_1_1Token-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Kind</a> { <br/>
&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca1b56d7bb41a2f877f8c705c010605a44">TK_EOS</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cae84c9655e8fb1bed1ab7a43f52a14bb3">TK_ERROR</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca90a825a75631104512c23e9813a90589">TK_WHITESPACE</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca22e637e326bfeb9f62721c49ba3262d8">TK_NEWLINE</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca016b12f5798c3c8701177bfb7bbc64a0">TK_LINECONT</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca60713da5682b73019316730be1c2957b">TK_NUMBER</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cac5863dbffefda4adcbf731d2c3cceff9">TK_KEYWORD</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca039e0f19708e47b1c1aee1ccafac9816">TK_PUNCTUATION</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca56e64e4e477e2ca292f131ccbd232da7">TK_DIRECTIVE</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cac24036bea9072a75c73760c8ab056aa5">TK_STRING</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca7877a16275419ba7ece4ccdf70a8c5a0">TK_COMMENT</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1caebd430b7e45505d02dd484f265742fbd">TK_LINECOMMENT</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca43924d84574e3eea272159d26e6274f9">TK_TEXT</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca1b56d7bb41a2f877f8c705c010605a44">TK_EOS</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cae84c9655e8fb1bed1ab7a43f52a14bb3">TK_ERROR</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca90a825a75631104512c23e9813a90589">TK_WHITESPACE</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca22e637e326bfeb9f62721c49ba3262d8">TK_NEWLINE</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca016b12f5798c3c8701177bfb7bbc64a0">TK_LINECONT</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca60713da5682b73019316730be1c2957b">TK_NUMBER</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cac5863dbffefda4adcbf731d2c3cceff9">TK_KEYWORD</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca039e0f19708e47b1c1aee1ccafac9816">TK_PUNCTUATION</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca56e64e4e477e2ca292f131ccbd232da7">TK_DIRECTIVE</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cac24036bea9072a75c73760c8ab056aa5">TK_STRING</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca7877a16275419ba7ece4ccdf70a8c5a0">TK_COMMENT</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1caebd430b7e45505d02dd484f265742fbd">TK_LINECOMMENT</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca43924d84574e3eea272159d26e6274f9">TK_TEXT</a>
<br/>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Kind</a> { <br/>
&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca1b56d7bb41a2f877f8c705c010605a44">TK_EOS</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cae84c9655e8fb1bed1ab7a43f52a14bb3">TK_ERROR</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca90a825a75631104512c23e9813a90589">TK_WHITESPACE</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca22e637e326bfeb9f62721c49ba3262d8">TK_NEWLINE</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca016b12f5798c3c8701177bfb7bbc64a0">TK_LINECONT</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca60713da5682b73019316730be1c2957b">TK_NUMBER</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cac5863dbffefda4adcbf731d2c3cceff9">TK_KEYWORD</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca039e0f19708e47b1c1aee1ccafac9816">TK_PUNCTUATION</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca56e64e4e477e2ca292f131ccbd232da7">TK_DIRECTIVE</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cac24036bea9072a75c73760c8ab056aa5">TK_STRING</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca7877a16275419ba7ece4ccdf70a8c5a0">TK_COMMENT</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1caebd430b7e45505d02dd484f265742fbd">TK_LINECOMMENT</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca43924d84574e3eea272159d26e6274f9">TK_TEXT</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca1b56d7bb41a2f877f8c705c010605a44">TK_EOS</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cae84c9655e8fb1bed1ab7a43f52a14bb3">TK_ERROR</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca90a825a75631104512c23e9813a90589">TK_WHITESPACE</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca22e637e326bfeb9f62721c49ba3262d8">TK_NEWLINE</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca016b12f5798c3c8701177bfb7bbc64a0">TK_LINECONT</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca60713da5682b73019316730be1c2957b">TK_NUMBER</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cac5863dbffefda4adcbf731d2c3cceff9">TK_KEYWORD</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca039e0f19708e47b1c1aee1ccafac9816">TK_PUNCTUATION</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca56e64e4e477e2ca292f131ccbd232da7">TK_DIRECTIVE</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cac24036bea9072a75c73760c8ab056aa5">TK_STRING</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca7877a16275419ba7ece4ccdf70a8c5a0">TK_COMMENT</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1caebd430b7e45505d02dd484f265742fbd">TK_LINECOMMENT</a>, 
<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca43924d84574e3eea272159d26e6274f9">TK_TEXT</a>
<br/>
 }</td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a9a2ba4e5633501ae1dbe13c4ae0add8b">Token</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a4eba649dd171b4b340229d4f06adef08">Token</a> (<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Kind</a> iType)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a118b97af680a2fbc94c23b90c063bc91">Token</a> (<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Kind</a> iType, const char *iString, size_t iLength)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#abbbeb51aee6894370a0a3d4be64c89f6">Token</a> (const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;iOther)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#ab0aa037a7a6a7124d0d37535d3aa33a0">~Token</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a49f9a100c46dc81a843919d6a75c4764">operator=</a> (const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;iOther)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Assignment operator.  <a href="#a49f9a100c46dc81a843919d6a75c4764"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#af0f44a71d6f4309deb721d35af353144">Append</a> (const char *iString, size_t iLength)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a string to this token.  <a href="#af0f44a71d6f4309deb721d35af353144"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a7c710d0966b362a0334490b74ea19526">Append</a> (const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;iOther)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a token to this token.  <a href="#a7c710d0966b362a0334490b74ea19526"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a1191145d8656978e4d0b3021cfc7849f">AppendNL</a> (int iCount)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Append given number of newlines to this token.  <a href="#a1191145d8656978e4d0b3021cfc7849f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a5ee810919549977009b0f8428ef78ebe">CountNL</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Count number of newlines in this token.  <a href="#a5ee810919549977009b0f8428ef78ebe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a395e05f47975f95ed6ed062ad3128a36">GetValue</a> (long &amp;oValue) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the numeric value of the token.  <a href="#a395e05f47975f95ed6ed062ad3128a36"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a123db5f492dc4900243844af056d6cfe">SetValue</a> (long iValue)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the numeric value of the token.  <a href="#a123db5f492dc4900243844af056d6cfe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a523d17a93ef1ba9fe6ec15d48201bc8a">operator==</a> (const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;iOther)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Test two tokens for equality.  <a href="#a523d17a93ef1ba9fe6ec15d48201bc8a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a9a2ba4e5633501ae1dbe13c4ae0add8b">Token</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a4eba649dd171b4b340229d4f06adef08">Token</a> (<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Kind</a> iType)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a118b97af680a2fbc94c23b90c063bc91">Token</a> (<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Kind</a> iType, const char *iString, size_t iLength)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#abbbeb51aee6894370a0a3d4be64c89f6">Token</a> (const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;iOther)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#ab0aa037a7a6a7124d0d37535d3aa33a0">~Token</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a49f9a100c46dc81a843919d6a75c4764">operator=</a> (const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;iOther)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Assignment operator.  <a href="#a49f9a100c46dc81a843919d6a75c4764"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#af0f44a71d6f4309deb721d35af353144">Append</a> (const char *iString, size_t iLength)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a string to this token.  <a href="#af0f44a71d6f4309deb721d35af353144"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a7c710d0966b362a0334490b74ea19526">Append</a> (const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;iOther)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a token to this token.  <a href="#a7c710d0966b362a0334490b74ea19526"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a1191145d8656978e4d0b3021cfc7849f">AppendNL</a> (int iCount)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Append given number of newlines to this token.  <a href="#a1191145d8656978e4d0b3021cfc7849f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a5ee810919549977009b0f8428ef78ebe">CountNL</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Count number of newlines in this token.  <a href="#a5ee810919549977009b0f8428ef78ebe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a395e05f47975f95ed6ed062ad3128a36">GetValue</a> (long &amp;oValue) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the numeric value of the token.  <a href="#a395e05f47975f95ed6ed062ad3128a36"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a123db5f492dc4900243844af056d6cfe">SetValue</a> (long iValue)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the numeric value of the token.  <a href="#a123db5f492dc4900243844af056d6cfe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a523d17a93ef1ba9fe6ec15d48201bc8a">operator==</a> (const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;iOther)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Test two tokens for equality.  <a href="#a523d17a93ef1ba9fe6ec15d48201bc8a"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Kind</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#ab208b6c5fb1d8e481366017fa884c2fa">Type</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html" title="A input token.">Token</a> type.  <a href="#ab208b6c5fb1d8e481366017fa884c2fa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a49bc735f943a3c3805ebc28877a4a2f5">Allocated</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">True if string was allocated (and must be freed)  <a href="#a49bc735f943a3c3805ebc28877a4a2f5"></a><br/></td></tr>
<tr><td class="memItemLeft" >union {</td></tr>
<tr><td class="memItemLeft" >&#160;&#160;&#160;const char *&#160;&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#aa5ad3352307408c8a14236970bc1f81c">String</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A pointer somewhere into the input buffer.  <a href="#a872dc425fa7d3e087e1d35e9176e6197"></a><br/></td></tr>
<tr><td class="memItemLeft" >&#160;&#160;&#160;char *&#160;&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a82c26673a4129277ee31c410e3f5ca1e">Buffer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A memory-allocated string.  <a href="#ac430acecad1553bdab7de3fc18b00117"></a><br/></td></tr>
<tr><td class="memItemLeft" valign="top">};&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a31cec35397868cf6bce6b1ea18ed8bff">Length</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html" title="A input token.">Token</a> length in bytes.  <a href="#a31cec35397868cf6bce6b1ea18ed8bff"></a><br/></td></tr>
<tr><td class="memItemLeft" >union {</td></tr>
<tr><td class="memItemLeft" >&#160;&#160;&#160;const char *&#160;&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#aa5ad3352307408c8a14236970bc1f81c">String</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A pointer somewhere into the input buffer.  <a href="#a943a90adef00679ceffaa2f670b4152b"></a><br/></td></tr>
<tr><td class="memItemLeft" >&#160;&#160;&#160;char *&#160;&#160;&#160;<a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a82c26673a4129277ee31c410e3f5ca1e">Buffer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A memory-allocated string.  <a href="#adfb6941f9853cb43bba69a311845c0fd"></a><br/></td></tr>
<tr><td class="memItemLeft" valign="top">};&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A input token. </p>
<p>For performance reasons most tokens will point to portions of the input stream, so no unneeded memory allocation is done. However, in some cases we must allocate different memory for token storage, in this case this is signalled by setting the Allocated member to non-zero in which case the destructor will know that it must free memory on object destruction.</p>
<p>Again for performance reasons we use malloc/realloc/free here because C++-style new[] lacks the realloc() counterpart. </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00076">76</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1c"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Kind" ref="a10b32d342fb68c86c5dda3bf103fec1c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Ogre::CPreprocessor::Token::Kind</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca1b56d7bb41a2f877f8c705c010605a44"></a><!-- doxytag: member="TK_EOS" ref="a10b32d342fb68c86c5dda3bf103fec1ca1b56d7bb41a2f877f8c705c010605a44" args="" -->TK_EOS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1cae84c9655e8fb1bed1ab7a43f52a14bb3"></a><!-- doxytag: member="TK_ERROR" ref="a10b32d342fb68c86c5dda3bf103fec1cae84c9655e8fb1bed1ab7a43f52a14bb3" args="" -->TK_ERROR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca90a825a75631104512c23e9813a90589"></a><!-- doxytag: member="TK_WHITESPACE" ref="a10b32d342fb68c86c5dda3bf103fec1ca90a825a75631104512c23e9813a90589" args="" -->TK_WHITESPACE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca22e637e326bfeb9f62721c49ba3262d8"></a><!-- doxytag: member="TK_NEWLINE" ref="a10b32d342fb68c86c5dda3bf103fec1ca22e637e326bfeb9f62721c49ba3262d8" args="" -->TK_NEWLINE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca016b12f5798c3c8701177bfb7bbc64a0"></a><!-- doxytag: member="TK_LINECONT" ref="a10b32d342fb68c86c5dda3bf103fec1ca016b12f5798c3c8701177bfb7bbc64a0" args="" -->TK_LINECONT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca60713da5682b73019316730be1c2957b"></a><!-- doxytag: member="TK_NUMBER" ref="a10b32d342fb68c86c5dda3bf103fec1ca60713da5682b73019316730be1c2957b" args="" -->TK_NUMBER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1cac5863dbffefda4adcbf731d2c3cceff9"></a><!-- doxytag: member="TK_KEYWORD" ref="a10b32d342fb68c86c5dda3bf103fec1cac5863dbffefda4adcbf731d2c3cceff9" args="" -->TK_KEYWORD</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca039e0f19708e47b1c1aee1ccafac9816"></a><!-- doxytag: member="TK_PUNCTUATION" ref="a10b32d342fb68c86c5dda3bf103fec1ca039e0f19708e47b1c1aee1ccafac9816" args="" -->TK_PUNCTUATION</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca56e64e4e477e2ca292f131ccbd232da7"></a><!-- doxytag: member="TK_DIRECTIVE" ref="a10b32d342fb68c86c5dda3bf103fec1ca56e64e4e477e2ca292f131ccbd232da7" args="" -->TK_DIRECTIVE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1cac24036bea9072a75c73760c8ab056aa5"></a><!-- doxytag: member="TK_STRING" ref="a10b32d342fb68c86c5dda3bf103fec1cac24036bea9072a75c73760c8ab056aa5" args="" -->TK_STRING</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca7877a16275419ba7ece4ccdf70a8c5a0"></a><!-- doxytag: member="TK_COMMENT" ref="a10b32d342fb68c86c5dda3bf103fec1ca7877a16275419ba7ece4ccdf70a8c5a0" args="" -->TK_COMMENT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1caebd430b7e45505d02dd484f265742fbd"></a><!-- doxytag: member="TK_LINECOMMENT" ref="a10b32d342fb68c86c5dda3bf103fec1caebd430b7e45505d02dd484f265742fbd" args="" -->TK_LINECOMMENT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca43924d84574e3eea272159d26e6274f9"></a><!-- doxytag: member="TK_TEXT" ref="a10b32d342fb68c86c5dda3bf103fec1ca43924d84574e3eea272159d26e6274f9" args="" -->TK_TEXT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca1b56d7bb41a2f877f8c705c010605a44"></a><!-- doxytag: member="TK_EOS" ref="a10b32d342fb68c86c5dda3bf103fec1ca1b56d7bb41a2f877f8c705c010605a44" args="" -->TK_EOS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1cae84c9655e8fb1bed1ab7a43f52a14bb3"></a><!-- doxytag: member="TK_ERROR" ref="a10b32d342fb68c86c5dda3bf103fec1cae84c9655e8fb1bed1ab7a43f52a14bb3" args="" -->TK_ERROR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca90a825a75631104512c23e9813a90589"></a><!-- doxytag: member="TK_WHITESPACE" ref="a10b32d342fb68c86c5dda3bf103fec1ca90a825a75631104512c23e9813a90589" args="" -->TK_WHITESPACE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca22e637e326bfeb9f62721c49ba3262d8"></a><!-- doxytag: member="TK_NEWLINE" ref="a10b32d342fb68c86c5dda3bf103fec1ca22e637e326bfeb9f62721c49ba3262d8" args="" -->TK_NEWLINE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca016b12f5798c3c8701177bfb7bbc64a0"></a><!-- doxytag: member="TK_LINECONT" ref="a10b32d342fb68c86c5dda3bf103fec1ca016b12f5798c3c8701177bfb7bbc64a0" args="" -->TK_LINECONT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca60713da5682b73019316730be1c2957b"></a><!-- doxytag: member="TK_NUMBER" ref="a10b32d342fb68c86c5dda3bf103fec1ca60713da5682b73019316730be1c2957b" args="" -->TK_NUMBER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1cac5863dbffefda4adcbf731d2c3cceff9"></a><!-- doxytag: member="TK_KEYWORD" ref="a10b32d342fb68c86c5dda3bf103fec1cac5863dbffefda4adcbf731d2c3cceff9" args="" -->TK_KEYWORD</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca039e0f19708e47b1c1aee1ccafac9816"></a><!-- doxytag: member="TK_PUNCTUATION" ref="a10b32d342fb68c86c5dda3bf103fec1ca039e0f19708e47b1c1aee1ccafac9816" args="" -->TK_PUNCTUATION</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca56e64e4e477e2ca292f131ccbd232da7"></a><!-- doxytag: member="TK_DIRECTIVE" ref="a10b32d342fb68c86c5dda3bf103fec1ca56e64e4e477e2ca292f131ccbd232da7" args="" -->TK_DIRECTIVE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1cac24036bea9072a75c73760c8ab056aa5"></a><!-- doxytag: member="TK_STRING" ref="a10b32d342fb68c86c5dda3bf103fec1cac24036bea9072a75c73760c8ab056aa5" args="" -->TK_STRING</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca7877a16275419ba7ece4ccdf70a8c5a0"></a><!-- doxytag: member="TK_COMMENT" ref="a10b32d342fb68c86c5dda3bf103fec1ca7877a16275419ba7ece4ccdf70a8c5a0" args="" -->TK_COMMENT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1caebd430b7e45505d02dd484f265742fbd"></a><!-- doxytag: member="TK_LINECOMMENT" ref="a10b32d342fb68c86c5dda3bf103fec1caebd430b7e45505d02dd484f265742fbd" args="" -->TK_LINECOMMENT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca43924d84574e3eea272159d26e6274f9"></a><!-- doxytag: member="TK_TEXT" ref="a10b32d342fb68c86c5dda3bf103fec1ca43924d84574e3eea272159d26e6274f9" args="" -->TK_TEXT</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00079">79</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1c"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Kind" ref="a10b32d342fb68c86c5dda3bf103fec1c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Ogre::CPreprocessor::Token::Kind</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca1b56d7bb41a2f877f8c705c010605a44"></a><!-- doxytag: member="TK_EOS" ref="a10b32d342fb68c86c5dda3bf103fec1ca1b56d7bb41a2f877f8c705c010605a44" args="" -->TK_EOS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1cae84c9655e8fb1bed1ab7a43f52a14bb3"></a><!-- doxytag: member="TK_ERROR" ref="a10b32d342fb68c86c5dda3bf103fec1cae84c9655e8fb1bed1ab7a43f52a14bb3" args="" -->TK_ERROR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca90a825a75631104512c23e9813a90589"></a><!-- doxytag: member="TK_WHITESPACE" ref="a10b32d342fb68c86c5dda3bf103fec1ca90a825a75631104512c23e9813a90589" args="" -->TK_WHITESPACE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca22e637e326bfeb9f62721c49ba3262d8"></a><!-- doxytag: member="TK_NEWLINE" ref="a10b32d342fb68c86c5dda3bf103fec1ca22e637e326bfeb9f62721c49ba3262d8" args="" -->TK_NEWLINE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca016b12f5798c3c8701177bfb7bbc64a0"></a><!-- doxytag: member="TK_LINECONT" ref="a10b32d342fb68c86c5dda3bf103fec1ca016b12f5798c3c8701177bfb7bbc64a0" args="" -->TK_LINECONT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca60713da5682b73019316730be1c2957b"></a><!-- doxytag: member="TK_NUMBER" ref="a10b32d342fb68c86c5dda3bf103fec1ca60713da5682b73019316730be1c2957b" args="" -->TK_NUMBER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1cac5863dbffefda4adcbf731d2c3cceff9"></a><!-- doxytag: member="TK_KEYWORD" ref="a10b32d342fb68c86c5dda3bf103fec1cac5863dbffefda4adcbf731d2c3cceff9" args="" -->TK_KEYWORD</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca039e0f19708e47b1c1aee1ccafac9816"></a><!-- doxytag: member="TK_PUNCTUATION" ref="a10b32d342fb68c86c5dda3bf103fec1ca039e0f19708e47b1c1aee1ccafac9816" args="" -->TK_PUNCTUATION</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca56e64e4e477e2ca292f131ccbd232da7"></a><!-- doxytag: member="TK_DIRECTIVE" ref="a10b32d342fb68c86c5dda3bf103fec1ca56e64e4e477e2ca292f131ccbd232da7" args="" -->TK_DIRECTIVE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1cac24036bea9072a75c73760c8ab056aa5"></a><!-- doxytag: member="TK_STRING" ref="a10b32d342fb68c86c5dda3bf103fec1cac24036bea9072a75c73760c8ab056aa5" args="" -->TK_STRING</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca7877a16275419ba7ece4ccdf70a8c5a0"></a><!-- doxytag: member="TK_COMMENT" ref="a10b32d342fb68c86c5dda3bf103fec1ca7877a16275419ba7ece4ccdf70a8c5a0" args="" -->TK_COMMENT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1caebd430b7e45505d02dd484f265742fbd"></a><!-- doxytag: member="TK_LINECOMMENT" ref="a10b32d342fb68c86c5dda3bf103fec1caebd430b7e45505d02dd484f265742fbd" args="" -->TK_LINECOMMENT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca43924d84574e3eea272159d26e6274f9"></a><!-- doxytag: member="TK_TEXT" ref="a10b32d342fb68c86c5dda3bf103fec1ca43924d84574e3eea272159d26e6274f9" args="" -->TK_TEXT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca1b56d7bb41a2f877f8c705c010605a44"></a><!-- doxytag: member="TK_EOS" ref="a10b32d342fb68c86c5dda3bf103fec1ca1b56d7bb41a2f877f8c705c010605a44" args="" -->TK_EOS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1cae84c9655e8fb1bed1ab7a43f52a14bb3"></a><!-- doxytag: member="TK_ERROR" ref="a10b32d342fb68c86c5dda3bf103fec1cae84c9655e8fb1bed1ab7a43f52a14bb3" args="" -->TK_ERROR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca90a825a75631104512c23e9813a90589"></a><!-- doxytag: member="TK_WHITESPACE" ref="a10b32d342fb68c86c5dda3bf103fec1ca90a825a75631104512c23e9813a90589" args="" -->TK_WHITESPACE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca22e637e326bfeb9f62721c49ba3262d8"></a><!-- doxytag: member="TK_NEWLINE" ref="a10b32d342fb68c86c5dda3bf103fec1ca22e637e326bfeb9f62721c49ba3262d8" args="" -->TK_NEWLINE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca016b12f5798c3c8701177bfb7bbc64a0"></a><!-- doxytag: member="TK_LINECONT" ref="a10b32d342fb68c86c5dda3bf103fec1ca016b12f5798c3c8701177bfb7bbc64a0" args="" -->TK_LINECONT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca60713da5682b73019316730be1c2957b"></a><!-- doxytag: member="TK_NUMBER" ref="a10b32d342fb68c86c5dda3bf103fec1ca60713da5682b73019316730be1c2957b" args="" -->TK_NUMBER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1cac5863dbffefda4adcbf731d2c3cceff9"></a><!-- doxytag: member="TK_KEYWORD" ref="a10b32d342fb68c86c5dda3bf103fec1cac5863dbffefda4adcbf731d2c3cceff9" args="" -->TK_KEYWORD</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca039e0f19708e47b1c1aee1ccafac9816"></a><!-- doxytag: member="TK_PUNCTUATION" ref="a10b32d342fb68c86c5dda3bf103fec1ca039e0f19708e47b1c1aee1ccafac9816" args="" -->TK_PUNCTUATION</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca56e64e4e477e2ca292f131ccbd232da7"></a><!-- doxytag: member="TK_DIRECTIVE" ref="a10b32d342fb68c86c5dda3bf103fec1ca56e64e4e477e2ca292f131ccbd232da7" args="" -->TK_DIRECTIVE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1cac24036bea9072a75c73760c8ab056aa5"></a><!-- doxytag: member="TK_STRING" ref="a10b32d342fb68c86c5dda3bf103fec1cac24036bea9072a75c73760c8ab056aa5" args="" -->TK_STRING</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca7877a16275419ba7ece4ccdf70a8c5a0"></a><!-- doxytag: member="TK_COMMENT" ref="a10b32d342fb68c86c5dda3bf103fec1ca7877a16275419ba7ece4ccdf70a8c5a0" args="" -->TK_COMMENT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1caebd430b7e45505d02dd484f265742fbd"></a><!-- doxytag: member="TK_LINECOMMENT" ref="a10b32d342fb68c86c5dda3bf103fec1caebd430b7e45505d02dd484f265742fbd" args="" -->TK_LINECOMMENT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a10b32d342fb68c86c5dda3bf103fec1ca43924d84574e3eea272159d26e6274f9"></a><!-- doxytag: member="TK_TEXT" ref="a10b32d342fb68c86c5dda3bf103fec1ca43924d84574e3eea272159d26e6274f9" args="" -->TK_TEXT</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00079">79</a> of file <a class="el" href="OgreGLSLESPreprocessor_8h_source.html">OgreGLSLESPreprocessor.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a9a2ba4e5633501ae1dbe13c4ae0add8b"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Token" ref="a9a2ba4e5633501ae1dbe13c4ae0add8b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a9a2ba4e5633501ae1dbe13c4ae0add8b">Ogre::CPreprocessor::Token::Token</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00110">110</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4eba649dd171b4b340229d4f06adef08"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Token" ref="a4eba649dd171b4b340229d4f06adef08" args="(Kind iType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a9a2ba4e5633501ae1dbe13c4ae0add8b">Ogre::CPreprocessor::Token::Token</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Kind</a>&#160;</td>
          <td class="paramname"><em>iType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00113">113</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a118b97af680a2fbc94c23b90c063bc91"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Token" ref="a118b97af680a2fbc94c23b90c063bc91" args="(Kind iType, const char *iString, size_t iLength)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a9a2ba4e5633501ae1dbe13c4ae0add8b">Ogre::CPreprocessor::Token::Token</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Kind</a>&#160;</td>
          <td class="paramname"><em>iType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>iString</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>iLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00116">116</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="abbbeb51aee6894370a0a3d4be64c89f6"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Token" ref="abbbeb51aee6894370a0a3d4be64c89f6" args="(const Token &amp;iOther)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a9a2ba4e5633501ae1dbe13c4ae0add8b">Ogre::CPreprocessor::Token::Token</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;&#160;</td>
          <td class="paramname"><em>iOther</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00120">120</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

<p>References <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00099">Allocated</a>, <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00108">Length</a>, <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00103">String</a>, and <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00097">Type</a>.</p>

</div>
</div>
<a class="anchor" id="ab0aa037a7a6a7124d0d37535d3aa33a0"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::~Token" ref="ab0aa037a7a6a7124d0d37535d3aa33a0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#ab0aa037a7a6a7124d0d37535d3aa33a0">Ogre::CPreprocessor::Token::~Token</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00129">129</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

<p>References <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00099">Allocated</a>, and <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00105">Buffer</a>.</p>

</div>
</div>
<a class="anchor" id="a9a2ba4e5633501ae1dbe13c4ae0add8b"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Token" ref="a9a2ba4e5633501ae1dbe13c4ae0add8b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a9a2ba4e5633501ae1dbe13c4ae0add8b">Ogre::CPreprocessor::Token::Token</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00110">110</a> of file <a class="el" href="OgreGLSLESPreprocessor_8h_source.html">OgreGLSLESPreprocessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4eba649dd171b4b340229d4f06adef08"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Token" ref="a4eba649dd171b4b340229d4f06adef08" args="(Kind iType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a9a2ba4e5633501ae1dbe13c4ae0add8b">Ogre::CPreprocessor::Token::Token</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Kind</a>&#160;</td>
          <td class="paramname"><em>iType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00113">113</a> of file <a class="el" href="OgreGLSLESPreprocessor_8h_source.html">OgreGLSLESPreprocessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a118b97af680a2fbc94c23b90c063bc91"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Token" ref="a118b97af680a2fbc94c23b90c063bc91" args="(Kind iType, const char *iString, size_t iLength)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a9a2ba4e5633501ae1dbe13c4ae0add8b">Ogre::CPreprocessor::Token::Token</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Kind</a>&#160;</td>
          <td class="paramname"><em>iType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>iString</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>iLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00116">116</a> of file <a class="el" href="OgreGLSLESPreprocessor_8h_source.html">OgreGLSLESPreprocessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="abbbeb51aee6894370a0a3d4be64c89f6"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Token" ref="abbbeb51aee6894370a0a3d4be64c89f6" args="(const Token &amp;iOther)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a9a2ba4e5633501ae1dbe13c4ae0add8b">Ogre::CPreprocessor::Token::Token</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;&#160;</td>
          <td class="paramname"><em>iOther</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00120">120</a> of file <a class="el" href="OgreGLSLESPreprocessor_8h_source.html">OgreGLSLESPreprocessor.h</a>.</p>

<p>References <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00099">Allocated</a>, <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00108">Length</a>, and <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00097">Type</a>.</p>

</div>
</div>
<a class="anchor" id="ab0aa037a7a6a7124d0d37535d3aa33a0"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::~Token" ref="ab0aa037a7a6a7124d0d37535d3aa33a0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#ab0aa037a7a6a7124d0d37535d3aa33a0">Ogre::CPreprocessor::Token::~Token</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00129">129</a> of file <a class="el" href="OgreGLSLESPreprocessor_8h_source.html">OgreGLSLESPreprocessor.h</a>.</p>

<p>References <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00099">Allocated</a>, and <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00105">Buffer</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="af0f44a71d6f4309deb721d35af353144"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Append" ref="af0f44a71d6f4309deb721d35af353144" args="(const char *iString, size_t iLength)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#af0f44a71d6f4309deb721d35af353144">Ogre::CPreprocessor::Token::Append</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>iString</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>iLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Append a string to this token. </p>

</div>
</div>
<a class="anchor" id="af0f44a71d6f4309deb721d35af353144"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Append" ref="af0f44a71d6f4309deb721d35af353144" args="(const char *iString, size_t iLength)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#af0f44a71d6f4309deb721d35af353144">Ogre::CPreprocessor::Token::Append</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>iString</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>iLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Append a string to this token. </p>

</div>
</div>
<a class="anchor" id="a7c710d0966b362a0334490b74ea19526"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Append" ref="a7c710d0966b362a0334490b74ea19526" args="(const Token &amp;iOther)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#af0f44a71d6f4309deb721d35af353144">Ogre::CPreprocessor::Token::Append</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;&#160;</td>
          <td class="paramname"><em>iOther</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Append a token to this token. </p>

</div>
</div>
<a class="anchor" id="a7c710d0966b362a0334490b74ea19526"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Append" ref="a7c710d0966b362a0334490b74ea19526" args="(const Token &amp;iOther)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#af0f44a71d6f4309deb721d35af353144">Ogre::CPreprocessor::Token::Append</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;&#160;</td>
          <td class="paramname"><em>iOther</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Append a token to this token. </p>

</div>
</div>
<a class="anchor" id="a1191145d8656978e4d0b3021cfc7849f"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::AppendNL" ref="a1191145d8656978e4d0b3021cfc7849f" args="(int iCount)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a1191145d8656978e4d0b3021cfc7849f">Ogre::CPreprocessor::Token::AppendNL</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iCount</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Append given number of newlines to this token. </p>

</div>
</div>
<a class="anchor" id="a1191145d8656978e4d0b3021cfc7849f"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::AppendNL" ref="a1191145d8656978e4d0b3021cfc7849f" args="(int iCount)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a1191145d8656978e4d0b3021cfc7849f">Ogre::CPreprocessor::Token::AppendNL</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iCount</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Append given number of newlines to this token. </p>

</div>
</div>
<a class="anchor" id="a5ee810919549977009b0f8428ef78ebe"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::CountNL" ref="a5ee810919549977009b0f8428ef78ebe" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a5ee810919549977009b0f8428ef78ebe">Ogre::CPreprocessor::Token::CountNL</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Count number of newlines in this token. </p>

</div>
</div>
<a class="anchor" id="a5ee810919549977009b0f8428ef78ebe"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::CountNL" ref="a5ee810919549977009b0f8428ef78ebe" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a5ee810919549977009b0f8428ef78ebe">Ogre::CPreprocessor::Token::CountNL</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Count number of newlines in this token. </p>

</div>
</div>
<a class="anchor" id="a395e05f47975f95ed6ed062ad3128a36"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::GetValue" ref="a395e05f47975f95ed6ed062ad3128a36" args="(long &amp;oValue) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a395e05f47975f95ed6ed062ad3128a36">Ogre::CPreprocessor::Token::GetValue</a> </td>
          <td>(</td>
          <td class="paramtype">long &amp;&#160;</td>
          <td class="paramname"><em>oValue</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the numeric value of the token. </p>

</div>
</div>
<a class="anchor" id="a395e05f47975f95ed6ed062ad3128a36"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::GetValue" ref="a395e05f47975f95ed6ed062ad3128a36" args="(long &amp;oValue) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a395e05f47975f95ed6ed062ad3128a36">Ogre::CPreprocessor::Token::GetValue</a> </td>
          <td>(</td>
          <td class="paramtype">long &amp;&#160;</td>
          <td class="paramname"><em>oValue</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the numeric value of the token. </p>

</div>
</div>
<a class="anchor" id="a49f9a100c46dc81a843919d6a75c4764"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::operator=" ref="a49f9a100c46dc81a843919d6a75c4764" args="(const Token &amp;iOther)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a>&amp; Ogre::CPreprocessor::Token::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;&#160;</td>
          <td class="paramname"><em>iOther</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Assignment operator. </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00133">133</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

<p>References <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00099">Allocated</a>, <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00105">Buffer</a>, <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00108">Length</a>, <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00103">String</a>, and <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00097">Type</a>.</p>

</div>
</div>
<a class="anchor" id="a49f9a100c46dc81a843919d6a75c4764"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::operator=" ref="a49f9a100c46dc81a843919d6a75c4764" args="(const Token &amp;iOther)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a>&amp; Ogre::CPreprocessor::Token::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;&#160;</td>
          <td class="paramname"><em>iOther</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Assignment operator. </p>

<p>Definition at line <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00133">133</a> of file <a class="el" href="OgreGLSLESPreprocessor_8h_source.html">OgreGLSLESPreprocessor.h</a>.</p>

<p>References <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00099">Allocated</a>, <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00105">Buffer</a>, <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00108">Length</a>, and <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00097">Type</a>.</p>

</div>
</div>
<a class="anchor" id="a523d17a93ef1ba9fe6ec15d48201bc8a"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::operator==" ref="a523d17a93ef1ba9fe6ec15d48201bc8a" args="(const Token &amp;iOther)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::CPreprocessor::Token::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;&#160;</td>
          <td class="paramname"><em>iOther</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Test two tokens for equality. </p>

<p>Definition at line <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00163">163</a> of file <a class="el" href="OgreGLSLESPreprocessor_8h_source.html">OgreGLSLESPreprocessor.h</a>.</p>

<p>References <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00108">Length</a>.</p>

</div>
</div>
<a class="anchor" id="a523d17a93ef1ba9fe6ec15d48201bc8a"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::operator==" ref="a523d17a93ef1ba9fe6ec15d48201bc8a" args="(const Token &amp;iOther)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::CPreprocessor::Token::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a> &amp;&#160;</td>
          <td class="paramname"><em>iOther</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Test two tokens for equality. </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00163">163</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

<p>References <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00108">Length</a>, and <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00103">String</a>.</p>

</div>
</div>
<a class="anchor" id="a123db5f492dc4900243844af056d6cfe"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::SetValue" ref="a123db5f492dc4900243844af056d6cfe" args="(long iValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a123db5f492dc4900243844af056d6cfe">Ogre::CPreprocessor::Token::SetValue</a> </td>
          <td>(</td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>iValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the numeric value of the token. </p>

</div>
</div>
<a class="anchor" id="a123db5f492dc4900243844af056d6cfe"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::SetValue" ref="a123db5f492dc4900243844af056d6cfe" args="(long iValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a123db5f492dc4900243844af056d6cfe">Ogre::CPreprocessor::Token::SetValue</a> </td>
          <td>(</td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>iValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the numeric value of the token. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab4660440474b8f081abc1ca094ec205e"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::@16" ref="ab4660440474b8f081abc1ca094ec205e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union { ... } </td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a607b5bb1e48f3fb563f3c189955230ae"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::@19" ref="a607b5bb1e48f3fb563f3c189955230ae" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union { ... } </td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a49bc735f943a3c3805ebc28877a4a2f5"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Allocated" ref="a49bc735f943a3c3805ebc28877a4a2f5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a49bc735f943a3c3805ebc28877a4a2f5">Ogre::CPreprocessor::Token::Allocated</a><code> [mutable]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>True if string was allocated (and must be freed) </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00099">99</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

<p>Referenced by <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00133">operator=()</a>, <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00120">Token()</a>, and <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00129">~Token()</a>.</p>

</div>
</div>
<a class="anchor" id="a82c26673a4129277ee31c410e3f5ca1e"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Buffer" ref="a82c26673a4129277ee31c410e3f5ca1e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a82c26673a4129277ee31c410e3f5ca1e">Ogre::CPreprocessor::Token::Buffer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A memory-allocated string. </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00105">105</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

<p>Referenced by <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00133">operator=()</a>, and <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00129">~Token()</a>.</p>

</div>
</div>
<a class="anchor" id="a31cec35397868cf6bce6b1ea18ed8bff"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Length" ref="a31cec35397868cf6bce6b1ea18ed8bff" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a31cec35397868cf6bce6b1ea18ed8bff">Ogre::CPreprocessor::Token::Length</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html" title="A input token.">Token</a> length in bytes. </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00108">108</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

<p>Referenced by <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00133">operator=()</a>, <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00163">operator==()</a>, and <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00120">Token()</a>.</p>

</div>
</div>
<a class="anchor" id="aa5ad3352307408c8a14236970bc1f81c"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::String" ref="aa5ad3352307408c8a14236970bc1f81c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#aa5ad3352307408c8a14236970bc1f81c">Ogre::CPreprocessor::Token::String</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A pointer somewhere into the input buffer. </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00103">103</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

<p>Referenced by <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00133">operator=()</a>, <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00163">operator==()</a>, and <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00120">Token()</a>.</p>

</div>
</div>
<a class="anchor" id="ab208b6c5fb1d8e481366017fa884c2fa"></a><!-- doxytag: member="Ogre::CPreprocessor::Token::Type" ref="ab208b6c5fb1d8e481366017fa884c2fa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Kind</a> <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#ab208b6c5fb1d8e481366017fa884c2fa">Ogre::CPreprocessor::Token::Type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html" title="A input token.">Token</a> type. </p>

<p>Definition at line <a class="el" href="OgreGLSLPreprocessor_8h_source.html#l00097">97</a> of file <a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a>.</p>

<p>Referenced by <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00133">operator=()</a>, and <a class="el" href="OgreGLSLESPreprocessor_8h_source.html#l00120">Token()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="OgreGLSLPreprocessor_8h_source.html">OgreGLSLPreprocessor.h</a></li>
<li><a class="el" href="OgreGLSLESPreprocessor_8h_source.html">OgreGLSLESPreprocessor.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:22
</p>
</body>
</html>
